Installation of qgis 0.9 wants to overwrite files of other packages

classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

Installation of qgis 0.9 wants to overwrite files of other packages

Martin Weis
Hello!

I compiled and installed qgis 0.9.0 (6800, svn-version) on debian etch
in the following way (maybe this is useful for somebody) and found, that
a lot of header-files belonging to other packages get overwitten this
way. This may be due to the usage of cmake, I do not have much
experience with it.

Install Qgis svn-version:
-------------------------
svn co https://svn.qgis.org/repos/qgis/trunk/qgis qgis_unstable

# these are dependencies, which have to be installed:
apt-get install cmake libgdal-dev libqt4-dev libgsl0-dev grass-dev
sqlite3 libsqlite3-dev

cd qgis_unstable
cmake .
make

sudo checkinstall
# builds a package based on make install
-------------------------

The package then contains for example the file
/usr/include/qt4/QtCore/qplugin.h
which is part of libqt4-dev.

This is the list of the affected packages:
------------------------------------------
bin86
binutils
binutils-multiarch
cdecl
cmake
devscripts
gcc-4.1
grass-dev
heimdal-dev
ldap2dns
ldapdiff
ldapscripts
ldaptor-utils
ldaptor-webui
ldap-utils
ldapvi
libc6
libc6-dev
libexpat1-dev
libgdal1-1.3.2-dev
libgeos-dev
libgsl0-dev
libkrb5-dev
libnewlib-dev
libnmz7-dev
libpq-dev
libqt4-dev
libsqlite3-dev
libssl-dev
linux-kernel-headers
mingw32-runtime
mp3blaster
namazu2
namazu2-index-tools
nasm
network-manager
network-manager-gnome
nmap
nmapfe
nmzmail
perlsgml
proj
ptex-buildsupport
pyca
samba-common
stripclub
stx2any
xa65
xutils-dev

--
Martin Weis
PGP-Key: http://datenroulette.de/pgp.php
_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation of qgis 0.9 wants to overwrite files of other packages

pcav
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

I also had similar problems, and I concluded that this depends on the
(mis)behaviour of checkinstall, but I'm still unsure.
I reverted to using make install, and apparently there are no problems,
but I wouold like to do chechinstall instead.
Any deeper insight?
All the best.
pc

Martin Weis ha scritto:

> Hello!
>
> I compiled and installed qgis 0.9.0 (6800, svn-version) on debian etch
> in the following way (maybe this is useful for somebody) and found, that
> a lot of header-files belonging to other packages get overwitten this
> way. This may be due to the usage of cmake, I do not have much
> experience with it.
>
> Install Qgis svn-version:
> -------------------------
> svn co https://svn.qgis.org/repos/qgis/trunk/qgis qgis_unstable
>
> # these are dependencies, which have to be installed:
> apt-get install cmake libgdal-dev libqt4-dev libgsl0-dev grass-dev
> sqlite3 libsqlite3-dev
>
> cd qgis_unstable
> cmake .
> make
>
> sudo checkinstall
> # builds a package based on make install
> -------------------------
>
> The package then contains for example the file
> /usr/include/qt4/QtCore/qplugin.h
> which is part of libqt4-dev.
>
> This is the list of the affected packages:
> ------------------------------------------
> bin86
> binutils
> binutils-multiarch
> cdecl
> cmake
> devscripts
> gcc-4.1
> grass-dev
> heimdal-dev
> ldap2dns
> ldapdiff
> ldapscripts
> ldaptor-utils
> ldaptor-webui
> ldap-utils
> ldapvi
> libc6
> libc6-dev
> libexpat1-dev
> libgdal1-1.3.2-dev
> libgeos-dev
> libgsl0-dev
> libkrb5-dev
> libnewlib-dev
> libnmz7-dev
> libpq-dev
> libqt4-dev
> libsqlite3-dev
> libssl-dev
> linux-kernel-headers
> mingw32-runtime
> mp3blaster
> namazu2
> namazu2-index-tools
> nasm
> network-manager
> network-manager-gnome
> nmap
> nmapfe
> nmzmail
> perlsgml
> proj
> ptex-buildsupport
> pyca
> samba-common
> stripclub
> stx2any
> xa65
> xutils-dev
>

- --
Paolo Cavallini
email+jabber: [hidden email] PGP: http://www.faunalia.it/pgp/
www.faunalia.it
Piazza Garibaldi 5 - 56025 Pontedera (PI), Italy   Tel: (+39)348-3801953
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGBTAw/NedwLUzIr4RAuf5AKCHZItUd8THRLnzcWrq/CrYRuIhcACffnDB
69kHSQrnc0nQiBq5BIAed0U=
=0F7L
-----END PGP SIGNATURE-----
_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user
Reply | Threaded
Open this post in threaded view
|

Re: Installation of qgis 0.9 wants to overwrite files of other packages

Martin Weis
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Dear Paolo!

Paolo Cavallini schrieb:
> I also had similar problems, and I concluded that this depends on the
> (mis)behaviour of checkinstall, but I'm still unsure.

Thanks for your quick reply. It seems, that checkinstall does (not yet)
not work correctly with cmake-generated Makefiles, as a search in google
suggests.

Thanks,
- --
Martin Weis
PGP-Key: http://datenroulette.de/pgp.php
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org

iD8DBQFGBTZS5j8IxyG/AuwRAjGUAJ95MCtvbtLSfHm0q12kIsfyhV2IPQCfWfdL
F/xixujbRj2KTg4ygYY76ZA=
=/84x
-----END PGP SIGNATURE-----
_______________________________________________
Qgis-user mailing list
[hidden email]
http://lists.qgis.org/cgi-bin/mailman/listinfo/qgis-user